Get Order

View as Markdown
Retrieves detailed information about a specific order by its order ID, including order status, shipments, products, and recipient details.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Path parameters

orderIdstringRequiredformat: "int32"

Headers

shipbob_channel_idstringOptionalformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Response

Success
channelobject or null
Created by channel metadata
created_datedatetime or null
Date this order was created
financialsobject or null
gift_messagestring or null
Gift message associated with the order
idinteger or null
Unique id of the order
order_numberstring or null
User friendly orderId or store order number that will be shown on the Orders Page. If not provided, referenceId will be used
productslist of objects or null
List of products included in the order
purchase_datedatetime or null
Date this order was purchase by the end user
recipientobject or null
Information about the recipient of an order
reference_idstring or null

Client-defined external unique id of the order

retailer_program_dataobject or null

Contains properties that needs to be used for fulfilling B2B/Dropship orders.

shipmentslist of objects or null
Shipments affiliated with the order
shipping_methodstring or null

Client-defined shipping method

shipping_termsobject or null
Contains shipping properties that need to be used for fulfilling an order.
statusenum or null
tagslist of objects or null

Client-defined order tags

typeenum or null
Allowed values:

Errors